@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Edit Holding User</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon needs-validation" id="update-holding-user">
                                <input type="number" id="id" name="id" class="form-control" placeholder="ID"
                                    hidden>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" id="name" name="name" class="form-control"
                                            placeholder="Enter Name">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Description</label>
                                    <textarea class="form-control" rows="4" id="description" name="description"></textarea>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Image</label>
                                    <div class="col-sm-8">
                                        <input type="file" name="image" accept="image/*"
                                            class="form-file-input form-control">
                                    </div>
                                    <div class="col-sm-4">
                                        <img src="" id="image" alt="">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">View Holdings URL</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="holding_url" class="form-control"
                                            placeholder="Enter Holding Url">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">View Holdings Button Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="holding_button_name" id="holding_button_name" class="form-control" placeholder="Enter Button Name">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">User Type</label>
                                    <select class="form-control wide" name="user_type" id="user_type">
                                        <option>Select User Type</option>
                                        <option value="SuperStar">SuperStar</option>
                                        <option value="Shark">Shark</option>
                                    </select>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";
        $.ajax({
            type: "GET",
            url: url + "/list-holding-user-type",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            headers: {
                "Authorization": "Bearer " + token
            },
            success: function(msg) {
                console.log(msg);
                if (msg.success) {
                    var json = msg.data.holding_user;
                    var row = '';
                    $.each(json, function(index, obj) {
                        row += '<option value="' + obj.id + '">' + obj.title + '</option>';
                    });
                    $('#user_type_id').append(row);
                } else if (msg.message == 'User is not Authenticated.') {
                    window.location = url + "/login-view";
                } else {
                    $('#response').html("<div class='alert alert-danger'>" + msg.message +
                        "</div>");
                }
            }
        });

        function editData() {
            $.ajax({
                type: "GET",
                url: url + "/edit-holding-user/{{ request()->id }}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    if (msg.success) {
                        $("#id").val(msg.data['id']);
                        $("#name").val(msg.data['name']);
                        $("#description").html(msg.data.description);
                        $("#image").attr('src', msg.data.image);
                        $("#user_type_id option[value="+msg.data['user_type_id']+"]").attr('selected','selected');
                        $("#holding_url").val(msg.data['holding_url']);
                        $("#holding_button_name").val(msg.data['holding_button_name']);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message + "</div>");
                    }
                }
            });
        }

        $('#update-holding-user').submit(function(event) {
            event.preventDefault();
            $('#response').html("");
            // var formData = $(this).serialize();
            var formData = new FormData(this);

            $.ajax({
                url: url + "/update-holding-user",
                type: 'POST',
                data: formData,
                success: function(data) {
                    if (data.success) {
                        $('form#update-holding-user').trigger("reset");
                        window.location = url + "/list-holding-user-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data.message +
                            "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });

        $(document).ready(function() {
            CheckSession();
            editData();
        });
    </script>
@endsection
